Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1854329 - CVE-2020-5238 ghc-cmark-gfm: cmark: Exponential time to parse certain inputs could lead to DoS. [fedora-all]
Summary: CVE-2020-5238 ghc-cmark-gfm: cmark: Exponential time to parse certain inputs ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc-cmark-gfm
Version: 32
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-5238
TreeView+ depends on / blocked
 
Reported: 2020-07-07 08:08 UTC by Marian Rehak
Modified: 2020-10-06 15:07 UTC (History)
1 user (show)

Fixed In Version: ghc-cmark-gfm-0.2.2-1.fc33 ghc-cmark-gfm-0.2.2-1.fc32 ghc-cmark-gfm-0.2.2-1.fc31
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-29 00:15:37 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Marian Rehak 2020-07-07 08:08:53 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Marian Rehak 2020-07-07 08:08:55 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1854328,1854329

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Jens Petersen 2020-09-14 15:53:22 UTC
I have backported the upstream fix from cmark-gfm in 
https://src.fedoraproject.org/rpms/ghc-cmark-gfm/c/b9b85944d6bf363dc994b1d5650da62bc5217ed7?branch=master

Comment 3 Jens Petersen 2020-09-21 03:47:51 UTC
https://bodhi.fedoraproject.org/updates/FEDORA-2020-c39d7a562c for F33

Comment 4 Jens Petersen 2020-09-22 04:54:26 UTC
https://bodhi.fedoraproject.org/updates/FEDORA-2020-1eaffe0013 for F32

Comment 5 Jens Petersen 2020-09-24 04:16:48 UTC
https://bodhi.fedoraproject.org/updates/FEDORA-2020-fe299b3fa3 for F31

Also there is a bit more discussion on reproduction in
https://github.com/kivikakk/cmark-gfm-hs/issues/17

Comment 6 Fedora Update System 2020-09-24 19:08:36 UTC
FEDORA-2020-c39d7a562c has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c39d7a562c

Comment 7 Fedora Update System 2020-09-25 18:11:20 UTC
FEDORA-2020-c39d7a562c has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c39d7a562c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c39d7a562c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-09-28 16:58:27 UTC
FEDORA-2020-1eaffe0013 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-1eaffe0013

Comment 9 Fedora Update System 2020-09-28 16:59:06 UTC
FEDORA-2020-fe299b3fa3 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-fe299b3fa3

Comment 10 Fedora Update System 2020-09-29 00:15:37 UTC
FEDORA-2020-c39d7a562c has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-09-29 01:05:17 UTC
FEDORA-2020-fe299b3fa3 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-fe299b3fa3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fe299b3fa3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-09-29 01:16:17 UTC
FEDORA-2020-1eaffe0013 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-1eaffe0013`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1eaffe0013

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-10-06 15:02:17 UTC
FEDORA-2020-1eaffe0013 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-10-06 15:07:01 UTC
FEDORA-2020-fe299b3fa3 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.